Bug 177918 - net-mgmt/bpft: Update to version 4.20040506
Summary: net-mgmt/bpft: Update to version 4.20040506
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-17 19:10 UTC by tkato432
Modified: 2013-04-30 01:50 UTC (History)
0 users

See Also:


Attachments
file.diff (5.00 KB, patch)
2013-04-17 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-04-17 19:10:03 UTC
- Update to version 4.20040506

Remove file:
files/patch-Makefile
Comment 1 Edwin Groothuis freebsd_committer 2013-04-17 19:11:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-04-30 01:42:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-04-30 01:42:23 UTC
Author: miwi
Date: Tue Apr 30 00:42:13 2013
New Revision: 316861
URL: http://svnweb.freebsd.org/changeset/ports/316861

Log:
  - Update to 4.20040506
  
  PR:		177918
  Submitted by:	Ports Fury

Deleted:
  head/net-mgmt/bpft/files/
Modified:
  head/net-mgmt/bpft/Makefile   (contents, props changed)
  head/net-mgmt/bpft/distinfo   (contents, props changed)
  head/net-mgmt/bpft/pkg-plist   (contents, props changed)

Modified: head/net-mgmt/bpft/Makefile
==============================================================================
--- head/net-mgmt/bpft/Makefile	Tue Apr 30 00:41:29 2013	(r316860)
+++ head/net-mgmt/bpft/Makefile	Tue Apr 30 00:42:13 2013	(r316861)
@@ -1,41 +1,51 @@
-# New ports collection makefile for:   bpft
-# Date created:			26 August 2002
-# Whom:				El Vampiro <vampiro@rootshell.ru>
-#
+# Created by: El Vampiro <vampiro@rootshell.ru>
 # $FreeBSD$
 
 PORTNAME=	bpft
-PORTVERSION=	4.20040414
+PORTVERSION=	4.20040506
 CATEGORIES=	net-mgmt
-MASTER_SITES=	SF/${PORTNAME}4/${PORTNAME}4/${PORTNAME}4-snapshot \
-		ftp://rusunix.org/pub/FreeBSD/distfiles/
-
-DISTNAME=	bpft4-2004-04-14
+MASTER_SITES=	SF/${PORTNAME}4/${PORTNAME}4/${PORTNAME}4-snapshot
+DISTNAME=	${PORTNAME}4-2004-05-06
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	The BPF Traffic collector
+COMMENT=	BPF Traffic collector
+
+LICENSE=	GPLv2 # (or later)
+
+OPTIONS_DEFINE=	DOCS
 
 CONFLICTS=	trafd-3.0.*
 
-WRKSRC=		${WRKDIR}/bpft
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
+MAKE_JOBS_UNSAFE=	yes
+
+MANCOMPRESSED=	yes
 MAN1=		traflog.1 trafstat.1
 MAN8=		trafstatd.8 trafd.8
-PORTDOCS=	README WhatsNew
-MANCOMPRESSED=	yes
+
+.include <bsd.port.options.mk>
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|g' ${WRKSRC}/include/pathnames.h
-	@${REINPLACE_CMD} -e 's|/usr/local/|${PREFIX}/|g' ${WRKSRC}/Makefile
-	@${REINPLACE_CMD} -e 's|<net/slip.h>|"../linux-include/net/slip.h"|' \
+	@${REINPLACE_CMD} -e \
+		's|/usr/local|${PREFIX}|g' ${WRKSRC}/include/pathnames.h
+	@${REINPLACE_CMD} -e \
+		'/^PATH_TOSAVE/s|=.*|= ${PREFIX}/var/bpft| ; \
+		 /^INSTALL_DIRECTORY/s|=.*|= ${MKDIR}|' ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e \
+		's|<net/slip.h>|"../linux-include/net/slip.h"|' \
 		${WRKSRC}/lib/interfaces.c
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-. for file in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
-. endfor
+.for i in bin/traflog bin/trafstat sbin/trafd sbin/trafstatd
+	@${STRIP_CMD} ${PREFIX}/${i}
+.endfor
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+.for i in README WhatsNew
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${DOCSDIR})
+.endfor
 .endif
 
 .include <bsd.port.mk>

Modified: head/net-mgmt/bpft/distinfo
==============================================================================
--- head/net-mgmt/bpft/distinfo	Tue Apr 30 00:41:29 2013	(r316860)
+++ head/net-mgmt/bpft/distinfo	Tue Apr 30 00:42:13 2013	(r316861)
@@ -1,2 +1,2 @@
-SHA256 (bpft4-2004-04-14.tgz) = f90c9e3a288546f920b2f5bac19c9144ac953587ec342696c85a34706677438c
-SIZE (bpft4-2004-04-14.tgz) = 74673
+SHA256 (bpft4-2004-05-06.tgz) = 68d16d9142928749b4b1afd3577d2701a0b61095805b45da086a2078d3b151ac
+SIZE (bpft4-2004-05-06.tgz) = 79568

Modified: head/net-mgmt/bpft/pkg-plist
==============================================================================
--- head/net-mgmt/bpft/pkg-plist	Tue Apr 30 00:41:29 2013	(r316860)
+++ head/net-mgmt/bpft/pkg-plist	Tue Apr 30 00:42:13 2013	(r316861)
@@ -1,5 +1,3 @@
-sbin/trafd
-sbin/trafstatd
 bin/trafdump
 bin/traflog
 bin/trafsave
@@ -8,5 +6,10 @@ bin/trafstat
 bin/trafstop
 etc/rc.d/trafd.sh
 etc/traflog.format
+sbin/trafd
+sbin/trafstatd
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/WhatsNew
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrmtry var/bpft
 @dirrmtry var
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"